Apt update probleem

  Debian/Ubuntu (.deb Based)

als ik mijn systeem upgrade krijg ik een melding van een error op een repository, de Codename is veranderd. Ik kreeg deze melding bij de unifi repo. als je gewoon een upgrade uitvoert gaat het verder gewoon goed alleen dat 1 package word niet mee genomen.
in mijn geval zag de melding er als volgt uit.

serverA:~$ sudo apt-get update
 Hit:1 http://nl.archive.ubuntu.com/ubuntu bionic InRelease
 Get:2 http://nl.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
 Ign:3 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 InRelease
 Hit:4 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 Release
 Get:5 http://nl.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
 Get:6 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
 Get:7 http://dl.ubnt.com/unifi/debian stable InRelease [3,024 B]
 Reading package lists… Done
 E: Repository 'http://dl.ubnt.com/unifi/debian stable InRelease' changed its 'Codename' value from 'unifi-5.10' to 'unifi-5.11'
 N: This must be accepted explicitly before updates for this repository can be applied. See apt-secure(8) manpage for details.
 serverA:~$

Het unifi packages is dus een versie omhoog gegaan. en ze willen dus dat je je extra bewust bent van deze wijziging. je moet er dus extra toestemming voor geven. dit kan doen met het volgende command apt update –allow-releaseinfo-change

 

 

serverA:~$ sudo apt update --allow-releaseinfo-change
Hit:1 http://nl.archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://nl.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Ign:3 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 InRelease
Get:4 http://nl.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Hit:5 http://repo.mongodb.org/apt/ubuntu trusty/mongodb-org/3.4 Release
Get:6 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:7 http://dl.ubnt.com/unifi/debian stable InRelease [3,024 B]
Get:9 http://dl.ubnt.com/unifi/debian stable/ubiquiti i386 Packages [706 B]
Get:10 http://dl.ubnt.com/unifi/debian stable/ubiquiti amd64 Packages [706 B]
Fetched 256 kB in 1s (289 kB/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done
1 package can be upgraded. Run 'apt list --upgradable' to see it.
N: Repository 'http://dl.ubnt.com/unifi/debian stable InRelease' changed its 'Codename' value from 'unifi-5.10' to 'unifi-5.11'
serverA:~$

Als je nu een upgrade uitvoert zal je zien dat je packages word geupgrade naar de nieuwere versie. wil je eerst een lijst zien welke packages er nog meer geupdrade worden kan je het apt list -upgradable commando gebruiken.

LEAVE A COMMENT